curl --request POST \
--url https://cloud-api.near.ai/v1/billing/costs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://cloud-api.near.ai/v1/billing/costs"
payload = { "requestIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://cloud-api.near.ai/v1/billing/costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requests": [
{
"costNanoUsd": 123,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"warning": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Get costs by request IDs
Returns the cost in nano-USD for each request ID provided. A request ID is
the UUID from the inference-id response header of /v1/chat/completions
and /v1/messages responses (equivalently: UUIDv5 of the response body id
under the DNS namespace). The x-request-id response header is a transport
correlation ID and cannot be used here.
Request IDs that are not found are returned with costNanoUsd: 0
(HuggingFace-compatible); the response then carries a warning field
pointing at the correct ID source. Usage for a just-finished request can
take a few seconds to become visible.
Authorizations
API key for programmatic access (Authorization: Bearer sk-<api_key>)
Body
Billing costs request (HuggingFace compatible)
Array of request IDs to get costs for: the UUID values of the
inference-id response header returned by /v1/chat/completions and
/v1/messages (not the x-request-id header).
Response
Costs retrieved successfully